#!/usr/bin/env python

"""
Copyright (c) 2006-2024 sqlmap developers (https://sqlmap.org/)
See the file 'LICENSE' for copying permission
"""

# 定义一个SqlmapBaseException类，继承自Exception类
class SqlmapBaseException(Exception):
    pass

# 定义一个SqlmapCompressionException类，继承自SqlmapBaseException类
class SqlmapCompressionException(SqlmapBaseException):
    pass

# 定义一个SqlmapConnectionException类，继承自SqlmapBaseException类
class SqlmapConnectionException(SqlmapBaseException):
    pass

# 定义一个SqlmapDataException类，继承自SqlmapBaseException类
class SqlmapDataException(SqlmapBaseException):
    pass

# 定义一个SqlmapFilePathException类，继承自SqlmapBaseException类
class SqlmapFilePathException(SqlmapBaseException):
    pass

# 定义一个SqlmapGenericException类，继承自SqlmapBaseException类
class SqlmapGenericException(SqlmapBaseException):
    pass

# 定义一个SqlmapInstallationException类，继承自SqlmapBaseException类
class SqlmapInstallationException(SqlmapBaseException):
    pass

# 定义一个SqlmapMissingDependence类，继承自SqlmapBaseException类
class SqlmapMissingDependence(SqlmapBaseException):
    pass

# 定义一个SqlmapMissingMandatoryOptionException类，继承自SqlmapBaseException类
class SqlmapMissingMandatoryOptionException(SqlmapBaseException):
    pass

# 定义一个SqlmapMissingPrivileges类，继承自SqlmapBaseException类
class SqlmapMissingPrivileges(SqlmapBaseException):
    pass

# 定义一个SqlmapNoneDataException类，继承自SqlmapBaseException类
class SqlmapNoneDataException(SqlmapBaseException):
    pass

# 定义一个SqlmapNotVulnerableException类，继承自SqlmapBaseException类
class SqlmapNotVulnerableException(SqlmapBaseException):
    pass

# 定义一个SqlmapSilentQuitException类，继承自SqlmapBaseException类
class SqlmapSilentQuitException(SqlmapBaseException):
    pass

# 定义一个SqlmapUserQuitException类，继承自SqlmapBaseException类
class SqlmapUserQuitException(SqlmapBaseException):
    pass

# 定义一个SqlmapShellQuitException类，继承自SqlmapBaseException类
class SqlmapShellQuitException(SqlmapBaseException):
    pass

# 定义一个SqlmapSkipTargetException类，继承自SqlmapBaseException类
class SqlmapSkipTargetException(SqlmapBaseException):
    pass

# 定义一个SqlmapSyntaxException类，继承自SqlmapBaseException类
class SqlmapSyntaxException(SqlmapBaseException):
    pass

# 定义一个SqlmapSystemException类，继承自SqlmapBaseException类
class SqlmapSystemException(SqlmapBaseException):
    pass

# 定义一个SqlmapThreadException类，继承自SqlmapBaseException类
class SqlmapThreadException(SqlmapBaseException):
    pass

# 定义一个SqlmapTokenException类，继承自SqlmapBaseException类
class SqlmapTokenException(SqlmapBaseException):
    pass

# 定义一个SqlmapUndefinedMethod类，继承自SqlmapBaseException类
class SqlmapUndefinedMethod(SqlmapBaseException):
    pass

# 定义一个SqlmapUnsupportedDBMSException类，继承自SqlmapBaseException类
class SqlmapUnsupportedDBMSException(SqlmapBaseException):
    pass

# 定义一个SqlmapUnsupportedFeatureException类，继承自SqlmapBaseException类
class SqlmapUnsupportedFeatureException(SqlmapBaseException):
    pass

# 定义一个SqlmapValueException类，继承自SqlmapBaseException类
class SqlmapValueException(SqlmapBaseException):
    pass
